`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company:				jc-21.ac Japan
// Engineer:			Takeshi Sakato
// 
// Create Date:		23:46:24 12/15/2012 
// Design Name:		
// Module Name:		Gen_1mm_Pulse 
// Project Name:		RangFinderForRs232
// Target Devices:	Xilinx Spartan3E
// Tool versions:		ISE 8.2i
// Description: 
// (Lq)
//
// Dependencies: 
// (ˑ)
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module Gen_1mm_Pulse(CLK33M, pls_1mm);
	input CLK33M;
	output pls_1mm;

	reg [7:0]count_1mm = 0;
	reg count_1mm_flg = 0;

	assign pls_1mm = count_1mm_flg;

	////////// Generating 1mm Pulse(33.333MHz -> 99.799KHz(173.609375KHz))
	// P~[@pXWFl[^
	always @(posedge CLK33M)
	begin
		if(count_1mm == 93) begin		// 2.78 usec ->  5.57 usec / 1mm
			count_1mm_flg = count_1mm_flg ^ 1;
			count_1mm <= 0;
		end
		else begin
			count_1mm <= count_1mm + 1;
		end
	end
endmodule
