`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: jc-21
// Engineer: Takeshi Sakato
// 
// Create Date:    15:37:28 06/17/2010 
// Design Name: 	 Servo Motor Control
// Module Name:    gen_servo_clk 
// Project Name: 	 Servo2
// Target Devices: xc3s100e-5vq
// Tool versions:  ISE 8.2i
// Description: 	 Pulse Generator servo(40Hz) control
// ij
// Dependencies: 	 Base Clock 180kHz
// iˑj
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
//*****************************************************************************//
//////******** ]W[ ********/////////////////////////////////////////////
//////******** 40Hz CLOCK GENERATOR ********//////////////////////////////////////
//*****************************************************************************//
module gen_40_clk(base_clk, p40_clk);
input	base_clk ;
output	p40_clk ;

	reg [11:0]count_clk ;
	reg flg_40 = 1'b0 ;

	always @(posedge base_clk)
	begin
	/////@40HzJEgtOݒ@/////
		if ( count_clk == 12'h100 )begin
			count_clk <= 12'h000 ;
			flg_40 <= flg_40 ^ 1'b1 ;
		end
		else begin
			count_clk <= count_clk + 1 ;
		end
	end
	assign p40_clk = flg_40 ;
endmodule
